"""
w2lapp.connect.py: present connect dialogue for choosing server

web2ldap - a web-based LDAP Client,
see http://www.web2ldap.de for details

(c) by Michael Stroeder <michael@stroeder.com>

This module is distributed under the terms of the
GPL (GNU GENERAL PUBLIC LICENSE) Version 2
(see http://www.gnu.org/copyleft/gpl.html)

$Id: connect.py,v 1.25 2005/11/11 08:39:33 michael Exp $
"""

# Modules shipped with web2ldap
import types,pyweblib.forms,w2lapp.core,w2lapp.gui,w2lapp.cnf

##############################################################################
# Connect form
##############################################################################

def w2l_Connect(outf,form,Msg='New connect'):

  context_menu_list = [
    form.applAnchor('monitor','Monitor',None,[]),
    form.applAnchor('locate','DNS lookup',None,[]),
  ]

  w2lapp.gui.TopSection(None,outf,form,None,None,'Connect',[],context_menu_list)

  uri_select_list = []
  for uri in w2lapp.cnf.hosts.ldap_uri_list:
    if type(uri)==types.TupleType:
      uri,description = uri
    else:
      description = w2lapp.cnf.ldap_def.get(
        uri,
        w2lapp.cnf.hosts.Web2LDAPConfig()
      ).__dict__.get('description',uri)
    uri_select_list.append((unicode(uri,'ascii'),description))
  uri_select_field = pyweblib.forms.Select(
    'ldapurl',u'LDAP uri',1,options=uri_select_list
  )

  outf.write("""
<div id="Input" class="Main">
  <h1>%s</h1>
  %s<fieldset title="Select list of pre-configured LDAP host(s)">
      <legend>Pre-configured LDAP host(s)</legend>
      <table summary="Host parameters">
        <tr>
          <td>%s</td>
          <td>%s</td>
        </tr>
      </table>
      <input type="submit" value="Connect">
    </fieldset>
  </form>

  %s<fieldset title="Any LDAP host by name:port and a search root">
      <legend>Access any LDAP host</legend>
      <table summary="Host parameters">
        <tr>
          <td>%s</td>
          <td>%s</td>
        </tr>
        <tr>
          <td>%s</td>
          <td>%s</td>
        </tr>
      </table>
      <input type="submit" value="Connect">
    </fieldset>
  </form>
</div>
""" % (
    Msg,
    form.beginFormHTML('searchform',None,'GET',None),
    uri_select_field.labelHTML('Select host:'),
    uri_select_field.inputHTML(title='List of pre-configured directories to connect to'),
    form.beginFormHTML('searchform',None,'GET',None),
    form.field['host'].labelHTML('host:port:'),
    form.field['host'].inputHTML(title='The hostname and/or IP address of the directory to connect to'),
    form.field['dn'].labelHTML('search root:<br>(optional)'),
    form.field['dn'].inputHTML(title='Where to start searches'),
  )
)

  w2lapp.gui.PrintFooter(outf,form)
