# $Id: web2ldap.spec,v 1.3 2005/10/17 09:10:36 michael Exp $
# spec file for packaging web2ldap
Name:         web2ldap
%define etc_apache %(apxs2 -q SYSCONFDIR)
License:      GPL
Group:        Productivity/Networking/LDAP/Clients
# Provides:     
Requires:     python python-ldap >= 2.0.1 python-xml pyweblib > 1.3.0 openldap2-client openssl
Autoreqprov:  on
Version:      0.15.16
Release:      2
Summary:      Full-featured web-based LDAPv3 Client
URL:          http://web2ldap.de/
Source0:      %name-%version.tar.gz
Source1:      dumpasn1.cfg
Source10:     web2ldap.rc-script
Source11:     web2ldap.logrotate
Source12:     web2ldap.fcgi-conf
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
# Patch0:       web2ldap-%{version}.dif
PreReq:       %insserv_prereq %fillup_prereq

%description

What is web2ldap?
 * A generic LDAPv3 client which does not make any assumptions
   about the tree structure or LDAP schema.
 * Kind of a swiss-army knife for accessing/manipulating LDAP
   servers without having to configure anything.
 * A secure LDAP client with clean login behaviour.
 * A schema browser which displays references/dependencies within
   an LDAPv3 schema.

What it's not?
 * A light-weight search interface.
 * An administration user interface for your secretary to maintain
   the corporate address book.

See web2ldap pages on http://www.web2ldap.de/


Authors:
--------
    Michael Strder <michael@stroeder.com>

%package cgi
Summary:      WEB based LDAP-Client - FastCGI Module
Group:        Productivity/Networking/LDAP/Clients
Requires:     python web2ldap python-fcgi apache2-mod_fastcgi
Autoreqprov:  on

%description cgi
- a robust and flexible LDAP client software which provides the
   ability to add or modify LDAP entries.

- access to the directory without having LDAP capable client
   software (e.g., via WWW).

- a secure LDAP client with clean login behavior.

- hiding the LDAP service behind a firewall.

- encryption for LDAP access over unsecure networks.

This is why web2ldap was developed. It aims to be a full-featured
LDAPv3 client.	See web2ldap pages on http://web2ldap.de/



Authors:
--------
    Michael Strder <michael@stroeder.com>

%debug_package
%prep
%setup
find * -name CVS | xargs rm -rfv
# %patch0 -p0

%build
cp $RPM_SOURCE_DIR/dumpasn1.cfg .
cp $RPM_SOURCE_DIR/web2ldap.{logrotate,fcgi-conf,rc-script} .

%install
export RPM_BUILD_ROOT
export RPM_SOURCE_DIR
if [ -n  "$RPM_BUILD_ROOT" ] && [ "$RPM_BUILD_ROOT" != / ] ; then
	rm -rf "$RPM_BUILD_ROOT"
fi
for dir in etc/init.d %etc_apache/conf.d etc/logrotate.d /usr/sbin \
	   /opt/web2ldap/ var/run/web2ldap var/log/web2ldap 
do
  mkdir -p -m 755 $RPM_BUILD_ROOT/$dir
done
cp -r fcgi scgi htdocs pylib sbin $RPM_BUILD_ROOT/opt/web2ldap/
cp -r etc/web2ldap                $RPM_BUILD_ROOT/opt/web2ldap/etc
install -m 644 dumpasn1.cfg       $RPM_BUILD_ROOT/opt/web2ldap/etc
install -m 644 web2ldap.fcgi-conf $RPM_BUILD_ROOT/%etc_apache/conf.d/web2ldap.conf
install -m 644 web2ldap.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/web2ldap
install -m 754 web2ldap.rc-script $RPM_BUILD_ROOT/etc/init.d/web2ldap
ln -sf ../../etc/init.d/web2ldap  $RPM_BUILD_ROOT/usr/sbin/rcweb2ldap
for dir in /opt/web2ldap/etc /opt/web2ldap/lib ; do
python     sbin/compile.py -d ${dir} ${RPM_BUILD_ROOT}${dir}
python -O sbin/compile.py -d ${dir} ${RPM_BUILD_ROOT}${dir}
done

%post
%{fillup_and_insserv web2ldap}

%preun
%stop_on_removal web2ldap

%postun
%restart_on_update web2ldap
%insserv_cleanup

%files
%defattr(-,root,root)
%dir /opt/web2ldap/etc
%dir /opt/web2ldap/etc/web2ldapcnf
%dir /opt/web2ldap/etc/web2ldapcnf/plugins
%dir /opt/web2ldap/etc/templates
%dir /opt/web2ldap
%doc /opt/web2ldap/htdocs
%config(noreplace) /opt/web2ldap/etc/dumpasn1.cfg
%config(noreplace) /opt/web2ldap/etc/localschema.ldif
%config(noreplace) /opt/web2ldap/etc/templates/*
%config(noreplace) /opt/web2ldap/etc/web2ldapcnf/*.py
%config(noreplace) /opt/web2ldap/etc/web2ldapcnf/plugins/*.py
%config(noreplace) /opt/web2ldap/etc/*.py
%config(noreplace) /etc/logrotate.d/web2ldap
%config(noreplace) /etc/init.d/web2ldap
/opt/web2ldap/etc/*.py?
/opt/web2ldap/etc/web2ldapcnf/*.py?
/opt/web2ldap/etc/web2ldapcnf/plugins/*.py?
/opt/web2ldap/pylib/
/opt/web2ldap/sbin/
/usr/sbin/rcweb2ldap
%attr(750, wwwrun, root) %dir /var/log/web2ldap
%attr(750, wwwrun, root) %dir /var/run/web2ldap

%files cgi
%defattr(-,root,root)
%doc README
%dir /opt/web2ldap
%config(noreplace) /%etc_apache/conf.d/web2ldap.conf
/opt/web2ldap/fcgi
/opt/web2ldap/scgi

%changelog -n web2ldap
* Sat Sep 24 2005 Dieter Kluenter <dieter@dkluenter.de> - web2ldap-1
- Initial build.
